Description

I decided to do another Beta release, featuring the two Work in Progress factions, Wild and Harad. Since a new release may not show up for a while. Harad lacks heroes, but the next release will be adding them. Beta 1.1 also adds Arnor's new heavy armor model with the new Iron crown guardsmen textures.

Preview
The Rise of the Iron Crown mod -Beta 1.1
Comments
Rainbowpenus
Rainbowpenus

It crashed for me on startup, other mods working, any advice?

Reply Good karma Bad karma+2 votes
LordofAngmar Author
LordofAngmar

Do these mods that are working install in OS:C like this one, or do they affect the orginal game's files?
Also, do you have patch 2.02 or Edain mod? If so, disable them with their launcher.

Reply Good karma+2 votes
Rainbowpenus
Rainbowpenus

All mods i have are in C path and they are not affecting original files. I didn´t patch ROTWK after installation and i don´t have Edain installed atm :-/ Here is the screenshot of error crash i get Imageworld.sk

Reply Good karma Bad karma+2 votes
LordofAngmar Author
LordofAngmar

Try running the shortcut as an administrator.

Reply Good karma+2 votes
Rainbowpenus
Rainbowpenus

Nothing changed :-/ Still getting same error :-/

Reply Good karma Bad karma+2 votes
LordofAngmar Author
LordofAngmar

Run it in compatibility mode as well

Reply Good karma+1 vote
Rainbowpenus
Rainbowpenus

Tried it but didn´t help :-/ I have installed RJ-Rotwk, same way as you mod, but it´s working. Rly don´t know what to do :-/

Reply Good karma Bad karma+2 votes
LordofAngmar Author
LordofAngmar

Try this:

Re-download the mod from here, and let it download until it's fully downloaded.

Then extract the mod folder onto your desktop Make sure it fully extracts 100%; then install it.

Also, how long ago was Rj_Rotwk working?

Reply Good karma+2 votes
Rainbowpenus
Rainbowpenus

Already tried it, i also tried the demo version and still same error. Rj Rotwk is working for me without any issue.

Reply Good karma Bad karma+1 vote
LordofAngmar Author
LordofAngmar

Okay. I've tried everything here, so I am out of ideas.

Perhaps go into your appdata,go to roaming, and then delete
My The Lord of the Rings, The Rise of the Witch-king Files
. This crash could be related to something left there that clashes with the mod.

If you don't want to delete it, just move the folder to your desktop.

Reply Good karma+2 votes
Rainbowpenus
Rainbowpenus

Tried, and still same problem :-/ I can´t get it to work :-/

Reply Good karma Bad karma+1 vote
LordofAngmar Author
LordofAngmar

Well, tried everything here. You're on your own :P.

Reply Good karma+2 votes
LordofAngmar Author
LordofAngmar

Woops, I hit the wrong button on the guest comment :O :O :O.

Anyways, if you're reading this.

You can fix the crash by playing edain mod, entering skirmish and making all the selected factions (For you and the ai) mordor.

Disable edain again and play the mod.

Children of bodom is a great band :) .

Reply Good karma+2 votes
Morgana28
Morgana28

Could you please make a launcher for this mod soon because I've tried working it and Im getting the same error as BoTA and as other mods that arent edain or RJ mod

Reply Good karma Bad karma+2 votes
LordofAngmar Author
LordofAngmar

What does the error say? (and if you can, when does it happen)
I find it very strange that rj does not give you this error, since it installs the same way and should have the the same cause for errors.

Reply Good karma+1 vote
Guest
Guest

Is gundabad orcs or goblin town faction in this mod if not when will they be due for release?

Reply Good karma Bad karma+1 vote
LordofAngmar Author
LordofAngmar

Current release only has two gundabad units and Azog. (And the gundabads don't get their proper armor when they upgrade)

But the next release will feature much more from gundabad, and goblin-town as well.

Reply Good karma+2 votes
eomer2016
eomer2016

hi guys , i have the same problem crashing game when i thick '' skirmish '' mode and appeares the runtime error msg , and may i ask a question ? the folder TRIC why i must put it inside driver C:\ and that's it but not iniside the game folder which is inside the C:\ driver ? please help i would like to play the mod . thanx a lot

Reply Good karma Bad karma+2 votes
LordofAngmar Author
LordofAngmar

Hello, what mod were you playing before you tried playing this one?.

Reply Good karma+1 vote
eomer2016
eomer2016

Edain Mod

Reply Good karma Bad karma+2 votes
LordofAngmar Author
LordofAngmar

Okay. Re-enable edain mod, go into skirmish and make all the factions selected Isengard. Then disable create a heroes. Also, choose a map that isn't new to edain mod, like harlindon or rohan. One last thing is make the selected game mode the default one. Then disable edain mod, and try the mod again.

If this doesn't work, screenshot the error and reply with it.

Reply Good karma+2 votes
eomer2016
eomer2016

ok , as it's always useful reading the comments so I found the solution in one of your answers which was deleting the folder " My the lord of the rings ... etc " throw users\AppData\roaming and this worked perfectly ofcourse disabling Edain Mod and no doubtless that your answer now is useful the same maybe for other members , so thanks for who asked before and many thanks for who gave the answers .
wish you guys all the best and more success .

Reply Good karma Bad karma+2 votes
Someone90
Someone90

Does this mod work with 2.02?

Reply Good karma Bad karma+2 votes
LordofAngmar Author
LordofAngmar

Sadly, it only works with patch 2.01. The Horse lords works with patch 2.02 because it was based off of the unoffical patch.

Reply Good karma+1 vote
walfar87
walfar87

Just wondering if there is a bug while playing Mirkwood? When I'm training Archers, I'm able to only train 2 hordes. And when upgrading the barracks with armory, I'm only able to train 1 horde of Archers. Doesn't matter how many barracks I build, 1 horde seems to be the limit.

Reply Good karma Bad karma+2 votes
LordofAngmar Author
LordofAngmar

Yes it is a bug. It will be fixed in the next release :).

Reply Good karma+1 vote
walfar87
walfar87

Ok great!:) When will that be? :P

Reply Good karma Bad karma+2 votes
LordofAngmar Author
LordofAngmar

I can't say any release dates, but I think that'll be at some point in 2017. The next version is going to be vastly different from the last one, so that is going to take time to finish :P. Thank you for commenting!

Reply Good karma+1 vote
walfar87
walfar87

Need to give you feedback to improve:)

Reply Good karma Bad karma+1 vote
Kristoffer-1994
Kristoffer-1994

Can anyone help me with this?? Tried to launch the mod when this error showed up :(

Game crash

iniParseObjectFilter expecting a + ir - token as it is required for classification. Instead it found
CRIPPLE_STRIKE_OBJECT_FILTER_MELEE

Error parsing field 'SpecialObjectFilter' in block 'Weapon' in file 'Data\INI\Weapon.ini', line 5200.

Error parsing field 'SpecialObjectFilter' in block 'Weapon' in file 'Data\INI\Weapon.ini', line 5200.

Error parsing INI block 'SpecialObjectFilter' in file 'Data\INI\Weapon.ini'.
7 addresses:
(unknown)(0): game.dat+240382 Debug::PostStaticInit+3390
(unknown)(0): game.dat+2347216 IntRange::IntRange+93886
(unknown)(0): game.dat+2377423 IntRange::IntRange+124093
(unknown)(0): game.dat+ game.dat+6542103 Xfer::~Xfer+118430
(unknown)(0): KERNEL32.DLL+90820 BaseThreadInitThunk+36
(unknown)(0): ntdll.dll+395033
RtlSubscribleWnfStateChangeNotification+1081
(unknown)(0): ntdll.dll+394980
RtlSubscribleWnfStateChangeNotification+1028

Because of the severity of this error the game will now exit.

Reply Good karma Bad karma+2 votes
LordofAngmar Author
LordofAngmar

I once received this exact error when I did not run the mod in both Compatibility mode (Windows xp, service pack 2) and as an Administrator. Perhaps if you try that the crash will be solved?

Reply Good karma+3 votes
Kristoffer-1994
Kristoffer-1994

Thanks, I'll try this! :)

Reply Good karma Bad karma+2 votes
Kristoffer-1994
Kristoffer-1994

I found the problem! The problem was I had not installed patch 2.01! So when I installed patch 2.01, both Battles of the Third Age, The Rise of the Iron Crown and the Age of the Firstborn mods worked perfectly!! :D

Reply Good karma Bad karma+3 votes
Someone90
Someone90

Imgur.com I should explain that RJ works fine, but I've seen this bug when I try to play plenty of other mods.

Reply Good karma Bad karma+1 vote
LordofAngmar Author
LordofAngmar

Judging from the error, it is most certainly a problem with your games default files. Have you attempted uninstalling ROTWK, deleting all content in the games files, then reinstalling rotwk? or deleting the rotwk content in your virtual drive?

Strange that rj works, though many people experiencing this crash have reported that is so.

Reply Good karma+2 votes
Someone90
Someone90

I've un/re-installed several times and it's the same result. Though oddly, The Horse Lords Mod and the unofficial patch 2.02 seems to work with no issues.

Reply Good karma Bad karma+1 vote
Someone90
Someone90

I also have a lot of good costum maps, which I'd rather not lose by making a new profile.

Reply Good karma Bad karma+1 vote
LordofAngmar Author
LordofAngmar

Deleting everything in the games files will not remove your profile :P. Your profile stats/maps are in your appdata.
The games files are in OS:C/Program files 86(Unless it's installed in a D drive)

Reply Good karma+1 vote
Someone90
Someone90

I suppose I will have to remove everything..

Reply Good karma Bad karma+1 vote
Someone90
Someone90

The problem persists, I've checked the INI and found nothing.

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.